function doFilterSingleWork(filterSingleDiv, filterId, languageName) {
jQuery("#ajaxStatementInfo").hide();
httpObject = getHTTPObject();
if (httpObject != null) {
	var url = "../../../../Ajax/FiltersSingleAjax.aspx?filterId=" + filterId + "&languageName=" + languageName;
	httpObject.open("GET", url, true);
	httpObject.onreadystatechange = function() {
	if (httpObject.readyState == (1 || 0)) {
		jQuery("." + filterSingleDiv).css('height', '300px');
		jQuery("." + filterSingleDiv).css('text-align', 'center');
		jQuery("." + filterSingleDiv).html("<img style=\"margin-top: 145px;\" src=\"../../../Content/images/ajax-loader.gif\" alt=\"loading\">");
	}
	if (httpObject.readyState == 4) {
		jQuery("." + filterSingleDiv).css('height', 'auto');
		jQuery("." + filterSingleDiv).css('text-align', 'left');
		jQuery("." + filterSingleDiv).html(httpObject.responseText);
		
		var filterNumber = jQuery("#searchRightSideTopLeft > h3 span").html();
			var filterImg = new Image();
			filterImg.src = "../../Content/images/filters/thumbnails/" + filterNumber + ".png";
			jQuery("#searchRightSideTopRight > img").attr('src', '../../Content/images/filters/thumbnails/' + filterNumber + '.png');
			jQuery("#searchRightSideTopRight a").attr('href', '../../Content/images/filters/' + filterNumber + '.png');
			jQuery("#searchRightSideTopRight a").attr('title', filterNumber);
			filterImg.onerror = function() {
				jQuery("#searchRightSideTopRight > img").attr('src', '../../Content/images/temp/example_filter_english.png');
			}
			doLastSearch(filterId, languageName, 'w');
		
		} //if state
	}  //func
	httpObject.send(null);
	} //if 	   
}

function doLastSearch(filterId, languageName, filterProd) {
httpObject1 = getHTTPObject();
if (httpObject != null) {
	var engine_id = "";
	jQuery("#searchLeftSide table tbody tr").each(function(i, el) {
		if (jQuery(el).hasClass('active')) {
			engineId = jQuery(el).attr('id');
			engineIdDashPosition = engineId.indexOf('-');
			engineId = engineId.substr(engineIdDashPosition + 1);
		}
	});
	var makeId = jQuery("#id_master").val();
	var modelId = jQuery("#id_detail").val();
	var url1 = "../../../../Ajax/addLastSearchesAjax.aspx?makeId=" + makeId + "&modelId=" + modelId + "&engineId=" + engineId + "&filterId=" + filterId + "&filterProd=" + filterProd + "&languageName=" + languageName;
	httpObject1.open("GET", url1, true);
	httpObject1.send(null);
} //if
}